import { BigNumber } from "bignumber.js";
export type AlgoTransactionDetails = AlgoPaymentInfo | AlgoAssetTransferInfo;
export declare enum AlgoTransactionType {
    PAYMENT = "pay",
    ASSET_TRANSFER = "axfer"
}
export interface AlgoTransaction {
    id: string;
    timestamp: string;
    round: number;
    senderAddress: string;
    senderRewards: BigNumber;
    recipientRewards: BigNumber;
    closeRewards: BigNumber | undefined;
    closeAmount: BigNumber | undefined;
    fee: BigNumber;
    note: string;
    type: string;
    details: AlgoTransactionDetails | undefined;
}
export interface AlgoPaymentInfo {
    amount: BigNumber;
    recipientAddress: string;
    closeAmount: BigNumber | undefined;
    closeToAddress: string | undefined;
}
export interface AlgoAssetTransferInfo {
    assetId: string;
    assetAmount: BigNumber;
    assetRecipientAddress: string;
    assetSenderAddress: string | undefined;
    assetCloseAmount: BigNumber | undefined;
    assetCloseToAddress?: string | undefined;
}
//# sourceMappingURL=indexer.types.d.ts.map