"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.broadcast = void 0;
const operation_1 = require("@ledgerhq/coin-framework/operation");
const api_1 = __importDefault(require("./api"));
/**
 * Broadcast a signed transaction
 * @param {signature: string, operation: string} signedOperation
 */
const broadcast = async ({ signedOperation }) => {
    const { signature, operation } = signedOperation;
    const hash = await api_1.default.broadcastTransaction(Buffer.from(signature, "hex"));
    return (0, operation_1.patchOperationWithHash)(operation, hash);
};
exports.broadcast = broadcast;
//# sourceMappingURL=broadcast.js.map