import { Account } from "@ledgerhq/types-live";
import Prando from "prando";
/**
 * add in specific algorand operations
 * @memberof algorand/mock
 * @param {Account} account
 * @param {Prando} rng
 */
declare function genAccountEnhanceOperations(account: Account, rng: Prando): Account;
/**
 * Update spendable balance for the account based on delegation data
 * @memberof algorand/mock
 * @param {Account} account
 */
declare function postSyncAccount(account: Account): Account;
/**
 * post account scan data logic
 * clears account algorand resources if supposed to be empty
 * @memberof algorand/mock
 * @param {AlgorandAccount} account
 */
declare function postScanAccount(account: Account, { isEmpty, }: {
    isEmpty: boolean;
}): Account;
declare const _default: {
    genAccountEnhanceOperations: typeof genAccountEnhanceOperations;
    postSyncAccount: typeof postSyncAccount;
    postScanAccount: typeof postScanAccount;
};
export default _default;
//# sourceMappingURL=mock.d.ts.map